| Bsoft 2.0.5 Bernard's software package

Macros | Functions
rwBCR.h File Reference

Header file for reading and writing AFM BCR-STM files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Macros
#define | BCRSIZE 2048

## Functions
int | readBCR (Bimage *p, int readdata)
| Reading a BCR-STM image format. More...
int | writeBCR (Bimage *p)
| Writing a BCR-STM image format. More...

## Detailed Description

Header file for reading and writing AFM BCR-STM files.

Author
  Bernard Heymann

Date
  Created: 20170214
  Modified: 20170214

      Format: BCR-STM image file format

Definition in file rwBCR.h.

## Macro Definition Documentation

## ◆ BCRSIZE

#define BCRSIZE 2048

Definition at line 13 of file rwBCR.h.

## Function Documentation

## ◆ readBCR()

int readBCR | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a BCR-STM image format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure).

A 2D image format intended for atomic force microscopy. The format starts with a 2048 or 4096 byte text header, composed of tag = value pairs: Tag Value(s) Remark fileformat bcrstm 16 bit unsigned short bcrf 32 bit float bcrstm_unicode 16 bit unsigned short bcrf_unicode 32 bit float headersize 2048, 4096 (unicode) xpixels x-size ypixels y-size xlength x-scanrange ylength y-scanrange xunit, yunit, zunit units for the three axes. If not defined nm will be the default unit. xlabel, ylabel, zlabel labels for the three axes. current tunneling current in nA (optional) bias bias voltage in V (optional). starttime starting time of the scanning (MM DD YY hh:mm:ss:hh) (optional). scanspeed measured in nm/sec (optional). intelmode 1: Little Endian; 0: Big Endian forcecurve 1: indicates that the data contain force curves with the approach curve followed by the retraction curve (optional) bit2nm scale factor for scaling the integer height data to nm. xoffset, yoffset physical offset in nm (optional). voidpixels number of void pixels, if the field is not present the number is set to zero. For the 16 bit integer bcrstm format void pixels should be set equal to 32767. For the 32 bit floating point bcrf format void pixels are set to 3.402823466E+38.

Definition at line 48 of file rwBCR.cpp.

## ◆ writeBCR()

int writeBCR | ( | Bimage * | p | ) |

Writing a BCR-STM image format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 121 of file rwBCR.cpp.